name: Tag patch release

on:
  # https://docs.github.com/en/actions/using-workflows/events-that-trigger-workflows#workflow_dispatch
  workflow_dispatch:
    inputs:
      latest_local_sha:
        description: The latest local sha
        required: true
        type: string

permissions: {}

jobs:
  tagpatchrelease:
    name: Tag patch release
    # Only run cron on the symbiote account
    if: (github.event_name == 'schedule' && github.repository_owner == 'symbiote') || (github.event_name != 'schedule')
    runs-on: ubuntu-latest
    permissions:
      contents: write
    steps:
      - name: Tag release
        uses: silverstripe/gha-tag-release@v2
        with:
          latest_local_sha: ${{ inputs.latest_local_sha }}
